#!/bin/sh

C_F_DEFINITION=`grep ^CONFIGURATION_FILE= ../Source/Makefile`
P_F_DEFINITION=`grep ^PID_FILE= ../Source/Makefile`

CONFIG_FILE=`expr $C_F_DEFINITION : 'CONFIGURATION_FILE=\(.*\)' | sed 's/\//\\\\\//g'`

PID_FILE=`expr $P_F_DEFINITION : 'PID_FILE=\(.*\)' | sed 's/\//\\\\\//g'`

sed 's/CONFIGURATION_FILE/'$CONFIG_FILE'/g
     s/PID_FILE/'$PID_FILE'/g' ./ippl.man > ippl.8
sed 's/CONFIGURATION_FILE/'$CONFIG_FILE'/g' ./ippl.conf.man > ippl.conf.5
